
export function getItemTexturePath(item) {
    const itemType = item.typeId.replace('minecraft:', '');
    const texturePath = textureMapping[itemType] || `textures/items/${itemType}`;
    return texturePath + '.png';
}



// Create a mapping of item/block IDs to their texture paths if its showing invalid texture path
// you can edit the texture path to the correct one
// or add more texture paths to the mapping
// you can also add here custom item but ensure to add the texture path in the mapping

const textureMapping = {
    // Colored blocks
    'black_concrete': 'textures/blocks/concrete_black',
    'red_concrete': 'textures/blocks/concrete_red',
    'green_concrete': 'textures/blocks/concrete_green',
    'brown_concrete': 'textures/blocks/concrete_brown',
    'blue_concrete': 'textures/blocks/concrete_blue',
    'purple_concrete': 'textures/blocks/concrete_purple',
    'cyan_concrete': 'textures/blocks/concrete_cyan',
    'light_gray_concrete': 'textures/blocks/concrete_silver',
    'gray_concrete': 'textures/blocks/concrete_gray',
    'pink_concrete': 'textures/blocks/concrete_pink',
    'lime_concrete': 'textures/blocks/concrete_lime',
    'yellow_concrete': 'textures/blocks/concrete_yellow',
    'light_blue_concrete': 'textures/blocks/concrete_light_blue',
    'magenta_concrete': 'textures/blocks/concrete_magenta',
    'orange_concrete': 'textures/blocks/concrete_orange',
    'white_concrete': 'textures/blocks/concrete_white',

    // Shulker boxes
    'black_shulker_box': 'textures/blocks/shulker_black',
    'red_shulker_box': 'textures/blocks/shulker_red',
    'green_shulker_box': 'textures/blocks/shulker_green',
    'brown_shulker_box': 'textures/blocks/shulker_brown',
    'blue_shulker_box': 'textures/blocks/shulker_blue',
    'purple_shulker_box': 'textures/blocks/shulker_purple',
    'cyan_shulker_box': 'textures/blocks/shulker_cyan',
    'light_gray_shulker_box': 'textures/blocks/shulker_silver',
    'gray_shulker_box': 'textures/blocks/shulker_gray',
    'pink_shulker_box': 'textures/blocks/shulker_pink',
    'lime_shulker_box': 'textures/blocks/shulker_lime',
    'yellow_shulker_box': 'textures/blocks/shulker_yellow',
    'light_blue_shulker_box': 'textures/blocks/shulker_light_blue',
    'undyed_shulker_box': 'textures/blocks/shulker_top_magenta',
    'orange_shulker_box': 'textures/blocks/shulker_orange',
    'white_shulker_box': 'textures/blocks/shulker_white',

    // Wool
    'pink_wool': 'textures/blocks/wool_colored_pink',
    'magenta_wool': 'textures/blocks/wool_colored_magenta',
    'purple_wool': 'textures/blocks/wool_colored_purple',
    'blue_wool': 'textures/blocks/wool_colored_blue',
    'light_blue_wool': 'textures/blocks/wool_colored_light_blue',
    'cyan_wool': 'textures/blocks/wool_colored_cyan',
    'green_wool': 'textures/blocks/wool_colored_green',
    'lime_wool': 'textures/blocks/wool_colored_lime',
    'yellow_wool': 'textures/blocks/wool_colored_yellow',
    'orange_wool': 'textures/blocks/wool_colored_orange',
    'red_wool': 'textures/blocks/wool_colored_red',
    'brown_wool': 'textures/blocks/wool_colored_brown',
    'black_wool': 'textures/blocks/wool_colored_black',
    'gray_wool': 'textures/blocks/wool_colored_gray',
    'light_gray_wool': 'textures/blocks/wool_colored_silver',
    'white_wool': 'textures/blocks/wool_colored_white',

    // Carpets
    'black_carpet': 'textures/blocks/wool_colored_black',
    'red_carpet': 'textures/blocks/wool_colored_red',
    'green_carpet': 'textures/blocks/wool_colored_green',
    'brown_carpet': 'textures/blocks/wool_colored_brown',
    'blue_carpet': 'textures/blocks/wool_colored_blue',
    'purple_carpet': 'textures/blocks/wool_colored_purple',
    'cyan_carpet': 'textures/blocks/wool_colored_cyan',
    'light_gray_carpet': 'textures/blocks/wool_colored_silver',
    'gray_carpet': 'textures/blocks/wool_colored_gray',
    'pink_carpet': 'textures/blocks/wool_colored_pink',
    'lime_carpet': 'textures/blocks/wool_colored_lime',
    'yellow_carpet': 'textures/blocks/wool_colored_yellow',
    'light_blue_carpet': 'textures/blocks/wool_colored_light_blue',
    'magenta_carpet': 'textures/blocks/wool_colored_magenta',
    'orange_carpet': 'textures/blocks/wool_colored_orange',
    'white_carpet': 'textures/blocks/wool_colored_white',

    // Logs
    'dark_oak_log': 'textures/blocks/log_big_oak',
    'jungle_log': 'textures/blocks/log_jungle',
    'birch_log': 'textures/blocks/log_birch',
    'spruce_log': 'textures/blocks/log_spruce',
    'acacia_log': 'textures/blocks/log_acacia',
    'oak_log': 'textures/blocks/log_oak',
    'cherry_log': 'textures/blocks/cherry_log',
    'mangrove_log': 'textures/blocks/mangrove_log',

    // Fences
    'spruce_fence': 'textures/blocks/spruce_planks',
    'jungle_fence': 'textures/blocks/jungle_planks',
    'dark_oak_fence': 'textures/blocks/dark_oak_planks',
    'birch_fence': 'textures/blocks/birch_planks',
    'acacia_fence': 'textures/blocks/acacia_planks',
    'oak_fence': 'textures/blocks/planks_oak',
    'cherry_fence': 'textures/blocks/cherry_planks',
    'mangrove_fence': 'textures/blocks/mangrove_planks',

    // Coral
    'dead_horn_coral': 'textures/blocks/coral_horn_dead',
    'dead_fire_coral': 'textures/blocks/coral_fire_dead',
    'dead_bubble_coral': 'textures/blocks/coral_bubble_dead',
    'dead_brain_coral': 'textures/blocks/coral_brain_dead',
    'dead_tube_coral': 'textures/blocks/coral_tube_dead',
    'horn_coral': 'textures/blocks/coral_horn',
    'fire_coral': 'textures/blocks/coral_fire',
    'bubble_coral': 'textures/blocks/coral_bubble',
    'brain_coral': 'textures/blocks/coral_brain',
    'tube_coral': 'textures/blocks/coral/tube_coral',

    // Special Items
    'netherite_sword': 'textures/items/netherite_sword',
    'netherite_axe': 'textures/items/netherite_axe',
    'netherite_pickaxe': 'textures/items/netherite_pickaxe',
    'netherite_shovel': 'textures/items/netherite_shovel',
    'netherite_hoe': 'textures/items/netherite_hoe',
    'netherite_helmet': 'textures/items/netherite_helmet',
    'netherite_chestplate': 'textures/items/netherite_chestplate',
    'netherite_leggings': 'textures/items/netherite_leggings',
    'netherite_boots': 'textures/items/netherite_boots',
    'netherite_ingot': 'textures/items/netherite_ingot',
    'netherite_scrap': 'textures/items/netherite_scrap',

    // Wood Variants
    'oak_planks': 'textures/blocks/planks_oak',
    'spruce_planks': 'textures/blocks/planks_spruce',
    'birch_planks': 'textures/blocks/planks_birch',
    'jungle_planks': 'textures/blocks/planks_jungle',
    'acacia_planks': 'textures/blocks/planks_acacia',
    'dark_oak_planks': 'textures/blocks/planks_big_oak',
    'cherry_planks': 'textures/blocks/cherry_planks',
    'mangrove_planks': 'textures/blocks/mangrove_planks',
    'bamboo_planks': 'textures/blocks/bamboo_planks',

    // Doors
    'oak_door': 'textures/blocks/door_oak_lower',
    'spruce_door': 'textures/blocks/door_spruce_lower',
    'birch_door': 'textures/blocks/door_birch_lower',
    'jungle_door': 'textures/blocks/door_jungle_lower',
    'acacia_door': 'textures/blocks/door_acacia_lower',
    'dark_oak_door': 'textures/blocks/door_dark_oak_lower',
    'cherry_door': 'textures/blocks/cherry_door_bottom',
    'mangrove_door': 'textures/blocks/mangrove_door_bottom',
    'bamboo_door': 'textures/blocks/bamboo_door_bottom',
    'crimson_door': 'textures/blocks/crimson_door_bottom',
    'warped_door': 'textures/blocks/warped_door_bottom',
    'iron_door': 'textures/blocks/door_iron_lower',

    // Stone Variants
    'stone': 'textures/blocks/stone',
    'cobblestone': 'textures/blocks/cobblestone',
    'mossy_cobblestone': 'textures/blocks/cobblestone_mossy',
    'stone_bricks': 'textures/blocks/stonebrick',
    'mossy_stone_bricks': 'textures/blocks/stonebrick_mossy',
    'cracked_stone_bricks': 'textures/blocks/stonebrick_cracked',
    'chiseled_stone_bricks': 'textures/blocks/stonebrick_carved',
    'deepslate': 'textures/blocks/deepslate/deepslate',
    'cobbled_deepslate': 'textures/blocks/deepslate/cobbled_deepslate',
    'polished_deepslate': 'textures/blocks/deepslate/polished_deepslate',
    'deepslate_bricks': 'textures/blocks/deepslate/deepslate_bricks',
    'deepslate_tiles': 'textures/blocks/deepslate/deepslate_tiles',

    // Dyes
    'black_dye': 'textures/items/dye_powder_black',
    'red_dye': 'textures/items/dye_powder_red',
    'green_dye': 'textures/items/dye_powder_green',
    'brown_dye': 'textures/items/dye_powder_brown',
    'blue_dye': 'textures/items/dye_powder_blue',
    'purple_dye': 'textures/items/dye_powder_purple',
    'cyan_dye': 'textures/items/dye_powder_cyan',
    'light_gray_dye': 'textures/items/dye_powder_silver',
    'gray_dye': 'textures/items/dye_powder_gray',
    'pink_dye': 'textures/items/dye_powder_pink',
    'lime_dye': 'textures/items/dye_powder_lime',
    'yellow_dye': 'textures/items/dye_powder_yellow',
    'light_blue_dye': 'textures/items/dye_powder_light_blue',
    'magenta_dye': 'textures/items/dye_powder_magenta',
    'orange_dye': 'textures/items/dye_powder_orange',
    'white_dye': 'textures/items/dye_powder_white',

    // Food Items
    'apple': 'textures/items/apple',
    'golden_apple': 'textures/items/apple_golden',
    'enchanted_golden_apple': 'textures/items/apple_golden_enchanted',
    'bread': 'textures/items/bread',
    'porkchop': 'textures/items/porkchop_raw',
    'cooked_porkchop': 'textures/items/porkchop_cooked',
    'beef': 'textures/items/beef_raw',
    'cooked_beef': 'textures/items/beef_cooked',
    'chicken': 'textures/items/chicken_raw',
    'cooked_chicken': 'textures/items/chicken_cooked',
    'mutton': 'textures/items/mutton_raw',
    'cooked_mutton': 'textures/items/mutton_cooked',
    'fish': 'textures/items/fish_raw',
    'cooked_fish': 'textures/items/fish_cooked',
    'salmon': 'textures/items/fish_salmon_raw',
    'cooked_salmon': 'textures/items/fish_salmon_cooked',

    // Redstone Components
    'redstone': 'textures/items/redstone_dust',
    'redstone_torch': 'textures/blocks/redstone_torch_on',
    'redstone_block': 'textures/blocks/redstone_block',
    'repeater': 'textures/items/repeater',
    'comparator': 'textures/items/comparator',
    'piston': 'textures/blocks/piston_top_normal',
    'sticky_piston': 'textures/blocks/piston_top_sticky',
    'dispenser': 'textures/blocks/dispenser_front_horizontal',
    'dropper': 'textures/blocks/dropper_front',
    'observer': 'textures/blocks/observer_front',
    'hopper': 'textures/blocks/hopper_top',
    'tnt': 'textures/blocks/tnt_side',
    'lever': 'textures/blocks/lever',
    'daylight_detector': 'textures/blocks/daylight_detector_top',
    'redstone_lamp': 'textures/blocks/redstone_lamp_off',

    // Tools and weapons
    'wooden_sword': 'textures/items/wood_sword',
    'wooden_shovel': 'textures/items/wood_shovel',
    'wooden_pickaxe': 'textures/items/wood_pickaxe',
    'wooden_axe': 'textures/items/wood_axe',
    'wooden_hoe': 'textures/items/wood_hoe',
    'stone_sword': 'textures/items/stone_sword',
    'stone_shovel': 'textures/items/stone_shovel',
    'stone_pickaxe': 'textures/items/stone_pickaxe',
    'stone_axe': 'textures/items/stone_axe',
    'stone_hoe': 'textures/items/stone_hoe',
    'iron_sword': 'textures/items/iron_sword',
    'iron_shovel': 'textures/items/iron_shovel',
    'iron_pickaxe': 'textures/items/iron_pickaxe',
    'iron_axe': 'textures/items/iron_axe',
    'iron_hoe': 'textures/items/iron_hoe',
    'diamond_sword': 'textures/items/diamond_sword',
    'diamond_shovel': 'textures/items/diamond_shovel',
    'diamond_pickaxe': 'textures/items/diamond_pickaxe',
    'diamond_axe': 'textures/items/diamond_axe',
    'diamond_hoe': 'textures/items/diamond_hoe',
    'golden_sword': 'textures/items/gold_sword',
    'golden_shovel': 'textures/items/gold_shovel',
    'golden_pickaxe': 'textures/items/gold_pickaxe',
    'golden_axe': 'textures/items/gold_axe',
    'golden_hoe': 'textures/items/gold_hoe',

    // Basic materials
    'coal': 'textures/items/coal',
    'charcoal': 'textures/items/charcoal',
    'diamond': 'textures/items/diamond',
    'iron_ingot': 'textures/items/iron_ingot',
    'gold_ingot': 'textures/items/gold_ingot',
    'stick': 'textures/items/stick',
    'bowl': 'textures/items/bowl',
    'string': 'textures/items/string',
    'feather': 'textures/items/feather',
    'gunpowder': 'textures/items/gunpowder',
    'wheat': 'textures/items/wheat',

    // Armor
    'leather_helmet': 'textures/items/leather_helmet',
    'leather_chestplate': 'textures/items/leather_chestplate',
    'leather_leggings': 'textures/items/leather_leggings',
    'leather_boots': 'textures/items/leather_boots',
    'chainmail_helmet': 'textures/items/chainmail_helmet',
    'chainmail_chestplate': 'textures/items/chainmail_chestplate',
    'chainmail_leggings': 'textures/items/chainmail_leggings',
    'chainmail_boots': 'textures/items/chainmail_boots',

    // Combat items
    'bow': 'textures/items/bow_standby',
    'arrow': 'textures/items/arrow',
    'flint_and_steel': 'textures/items/flint_and_steel',

    // Seeds and farming
    'wheat_seeds': 'textures/items/seeds_wheat',
    'pumpkin_seeds': 'textures/items/seeds_pumpkin',
    'melon_seeds': 'textures/items/seeds_melon',
    'beetroot_seeds': 'textures/items/seeds_beetroot',
    'nether_wart': 'textures/items/nether_wart',

    // Food
    'beetroot': 'textures/items/beetroot',
    'beetroot_soup': 'textures/items/beetroot_soup',
    'sweet_berries': 'textures/items/sweet_berries',
    'rabbit': 'textures/items/rabbit_raw',
    'cooked_rabbit': 'textures/items/rabbit_cooked',
    'rabbit_stew': 'textures/items/rabbit_stew',

    // Iron armor
    'iron_helmet': 'textures/items/iron_helmet',
    'iron_chestplate': 'textures/items/iron_chestplate',
    'iron_leggings': 'textures/items/iron_leggings',
    'iron_boots': 'textures/items/iron_boots',

    // Gold armor
    'golden_helmet': 'textures/items/gold_helmet',
    'golden_chestplate': 'textures/items/gold_chestplate',
    'golden_leggings': 'textures/items/gold_leggings',
    'golden_boots': 'textures/items/gold_boots',

    // Diamond armor
    'diamond_helmet': 'textures/items/diamond_helmet',
    'diamond_chestplate': 'textures/items/diamond_chestplate',
    'diamond_leggings': 'textures/items/diamond_leggings',
    'diamond_boots': 'textures/items/diamond_boots',

    // Horse armor
    'leather_horse_armor': 'textures/items/leather_horse_armor',
    'iron_horse_armor': 'textures/items/iron_horse_armor',
    'golden_horse_armor': 'textures/items/gold_horse_armor',
    'diamond_horse_armor': 'textures/items/diamond_horse_armor',

    // Music discs
    'music_disc_13': 'textures/items/record_13',
    'music_disc_cat': 'textures/items/record_cat',
    'music_disc_blocks': 'textures/items/record_blocks',
    'music_disc_chirp': 'textures/items/record_chirp',
    'music_disc_far': 'textures/items/record_far',
    'music_disc_mall': 'textures/items/record_mall',
    'music_disc_mellohi': 'textures/items/record_mellohi',
    'music_disc_stal': 'textures/items/record_stal',
    'music_disc_strad': 'textures/items/record_strad',
    'music_disc_ward': 'textures/items/record_ward',
    'music_disc_11': 'textures/items/record_11',
    'music_disc_wait': 'textures/items/record_wait',
    'music_disc_pigstep': 'textures/items/record_pigstep',
    'music_disc_otherside': 'textures/items/record_otherside',
    'music_disc_5': 'textures/items/record_5',

    // Special items
    'trident': 'textures/items/trident',
    'lead': 'textures/items/lead',
    'name_tag': 'textures/items/name_tag',
    'crossbow': 'textures/items/crossbow_standby',
    'shield': 'textures/ui/empty_armor_slot_shield',
    'elytra': 'textures/items/elytra',
    'totem_of_undying': 'textures/items/totem',
    'turtle_helmet': 'textures/items/turtle_helmet',
    'spyglass': 'textures/items/spyglass',
    'compass': 'textures/items/compass_item',
    'clock': 'textures/items/clock_item',
    'recovery_compass': 'textures/items/recovery_compass_item',

    // Ore blocks
    'gold_block': 'textures/blocks/gold_block',
    'iron_block': 'textures/blocks/iron_block',
    'diamond_block': 'textures/blocks/diamond_block',
    'emerald_block': 'textures/blocks/emerald_block',
    'lapis_block': 'textures/blocks/lapis_block',
    'coal_block': 'textures/blocks/coal_block',
    'redstone_block': 'textures/blocks/redstone_block',
    'netherite_block': 'textures/blocks/netherite_block',
    'copper_block': 'textures/blocks/copper_block',
    'raw_gold_block': 'textures/blocks/raw_gold_block',
    'raw_iron_block': 'textures/blocks/raw_iron_block',
    'raw_copper_block': 'textures/blocks/raw_copper_block',

    // Glass and glass panes
    'glass': 'textures/blocks/glass',
    'glass_pane': 'textures/blocks/glass_pane_top',
    'black_stained_glass': 'textures/blocks/glass_black',
    'red_stained_glass': 'textures/blocks/glass_red',
    'green_stained_glass': 'textures/blocks/glass_green',
    'brown_stained_glass': 'textures/blocks/glass_brown',
    'blue_stained_glass': 'textures/blocks/glass_blue',
    'purple_stained_glass': 'textures/blocks/glass_purple',
    'cyan_stained_glass': 'textures/blocks/glass_cyan',
    'light_gray_stained_glass': 'textures/blocks/glass_silver',
    'gray_stained_glass': 'textures/blocks/glass_gray',
    'pink_stained_glass': 'textures/blocks/glass_pink',
    'lime_stained_glass': 'textures/blocks/glass_lime',
    'yellow_stained_glass': 'textures/blocks/glass_yellow',
    'light_blue_stained_glass': 'textures/blocks/glass_light_blue',
    'magenta_stained_glass': 'textures/blocks/glass_magenta',
    'orange_stained_glass': 'textures/blocks/glass_orange',
    'white_stained_glass': 'textures/blocks/glass_white',

    // Pillar blocks
    'quartz_pillar': 'textures/blocks/quartz_block_lines',
    'purpur_pillar': 'textures/blocks/purpur_pillar',
    'basalt': 'textures/blocks/basalt_side',
    'polished_basalt': 'textures/blocks/polished_basalt_side',

    // Concrete and Concrete Powder
    'white_concrete': 'textures/blocks/concrete_white',
    'orange_concrete': 'textures/blocks/concrete_orange',
    'magenta_concrete': 'textures/blocks/concrete_magenta',
    'light_blue_concrete': 'textures/blocks/concrete_light_blue',
    'yellow_concrete': 'textures/blocks/concrete_yellow',
    'lime_concrete': 'textures/blocks/concrete_lime',
    'pink_concrete': 'textures/blocks/concrete_pink',
    'gray_concrete': 'textures/blocks/concrete_gray',
    'light_gray_concrete': 'textures/blocks/concrete_silver',
    'cyan_concrete': 'textures/blocks/concrete_cyan',
    'purple_concrete': 'textures/blocks/concrete_purple',
    'blue_concrete': 'textures/blocks/concrete_blue',
    'brown_concrete': 'textures/blocks/concrete_brown',
    'green_concrete': 'textures/blocks/concrete_green',
    'red_concrete': 'textures/blocks/concrete_red',
    'black_concrete': 'textures/blocks/concrete_black',

    'white_concrete_powder': 'textures/blocks/concrete_powder_white',
    'orange_concrete_powder': 'textures/blocks/concrete_powder_orange',
    'magenta_concrete_powder': 'textures/blocks/concrete_powder_magenta',
    'light_blue_concrete_powder': 'textures/blocks/concrete_powder_light_blue',
    'yellow_concrete_powder': 'textures/blocks/concrete_powder_yellow',
    'lime_concrete_powder': 'textures/blocks/concrete_powder_lime',
    'pink_concrete_powder': 'textures/blocks/concrete_powder_pink',
    'gray_concrete_powder': 'textures/blocks/concrete_powder_gray',
    'light_gray_concrete_powder': 'textures/blocks/concrete_powder_silver',
    'cyan_concrete_powder': 'textures/blocks/concrete_powder_cyan',
    'purple_concrete_powder': 'textures/blocks/concrete_powder_purple',
    'blue_concrete_powder': 'textures/blocks/concrete_powder_blue',
    'brown_concrete_powder': 'textures/blocks/concrete_powder_brown',
    'green_concrete_powder': 'textures/blocks/concrete_powder_green',
    'red_concrete_powder': 'textures/blocks/concrete_powder_red',
    'black_concrete_powder': 'textures/blocks/concrete_powder_black',

    // Quartz Blocks
    'quartz_block': 'textures/blocks/quartz_block_side',
    'quartz_bricks': 'textures/blocks/quartz_bricks',
    'chiseled_quartz_block': 'textures/blocks/quartz_block_chiseled',
    'smooth_quartz': 'textures/blocks/quartz_block_bottom',

    // Terracotta (Plain and Colored)
    'terracotta': 'textures/blocks/hardened_clay',
    'white_terracotta': 'textures/blocks/hardened_clay_stained_white',
    'orange_terracotta': 'textures/blocks/hardened_clay_stained_orange',
    'magenta_terracotta': 'textures/blocks/hardened_clay_stained_magenta',
    'light_blue_terracotta': 'textures/blocks/hardened_clay_stained_light_blue',
    'yellow_terracotta': 'textures/blocks/hardened_clay_stained_yellow',
    'lime_terracotta': 'textures/blocks/hardened_clay_stained_lime',
    'pink_terracotta': 'textures/blocks/hardened_clay_stained_pink',
    'gray_terracotta': 'textures/blocks/hardened_clay_stained_gray',
    'light_gray_terracotta': 'textures/blocks/hardened_clay_stained_silver',
    'cyan_terracotta': 'textures/blocks/hardened_clay_stained_cyan',
    'purple_terracotta': 'textures/blocks/hardened_clay_stained_purple',
    'blue_terracotta': 'textures/blocks/hardened_clay_stained_blue',
    'brown_terracotta': 'textures/blocks/hardened_clay_stained_brown',
    'green_terracotta': 'textures/blocks/hardened_clay_stained_green',
    'red_terracotta': 'textures/blocks/hardened_clay_stained_red',
    'black_terracotta': 'textures/blocks/hardened_clay_stained_black',

    // Wool blocks
    'white_wool': 'textures/blocks/wool_colored_white',
    'orange_wool': 'textures/blocks/wool_colored_orange',
    'magenta_wool': 'textures/blocks/wool_colored_magenta',
    'light_blue_wool': 'textures/blocks/wool_colored_light_blue',
    'yellow_wool': 'textures/blocks/wool_colored_yellow',
    'lime_wool': 'textures/blocks/wool_colored_lime',
    'pink_wool': 'textures/blocks/wool_colored_pink',
    'gray_wool': 'textures/blocks/wool_colored_gray',
    'light_gray_wool': 'textures/blocks/wool_colored_silver',
    'cyan_wool': 'textures/blocks/wool_colored_cyan',
    'purple_wool': 'textures/blocks/wool_colored_purple',
    'blue_wool': 'textures/blocks/wool_colored_blue',
    'brown_wool': 'textures/blocks/wool_colored_brown',
    'green_wool': 'textures/blocks/wool_colored_green',
    'red_wool': 'textures/blocks/wool_colored_red',
    'black_wool': 'textures/blocks/wool_colored_black',

    // Potions and Brewing
    'dragon_breath': 'textures/items/dragons_breath',
    'potion': 'textures/items/potion_bottle_drinkable',
    'splash_potion': 'textures/items/potion_bottle_splash',
    'lingering_potion': 'textures/items/potion_bottle_lingering',
    'glass_bottle': 'textures/items/potion_bottle_empty',
    'fermented_spider_eye': 'textures/items/spider_eye_fermented',
    'blaze_powder': 'textures/items/blaze_powder',
    'magma_cream': 'textures/items/magma_cream',
    'brewing_stand': 'textures/items/brewing_stand',
    'cauldron': 'textures/items/cauldron',
    'ghast_tear': 'textures/items/ghast_tear',
    'golden_carrot': 'textures/items/golden_carrot',
    'glistering_melon_slice': 'textures/items/melon_glistering',
    'heavy_core': 'textures/blocks/heavy_core',
    'phantom_membrane': 'textures/items/phantom_membrane',

    // Nether items
    'nether_star': 'textures/items/nether_star',
    'nether_wart': 'textures/items/nether_wart',
    'blaze_rod': 'textures/items/blaze_rod',
    'quartz': 'textures/items/quartz',
    'glowstone_dust': 'textures/items/glowstone_dust',
    'nether_brick': 'textures/items/netherbrick',
    'warped_fungus_on_a_stick': 'textures/items/warped_fungus_on_a_stick',

    // End items
    'ender_pearl': 'textures/items/ender_pearl',
    'ender_eye': 'textures/items/ender_eye',
    'shulker_shell': 'textures/items/shulker_shell',
    'chorus_fruit': 'textures/items/chorus_fruit',
    'popped_chorus_fruit': 'textures/items/chorus_fruit_popped',
    'end_crystal': 'textures/items/end_crystal',

    // Special items
    'experience_bottle': 'textures/items/experience_bottle',
    'enchanted_book': 'textures/items/book_enchanted',
    'writable_book': 'textures/items/book_writable',
    'written_book': 'textures/items/book_written',
    'enchanted_golden_apple': 'textures/items/apple_golden_enchanted',
    'firework_rocket': 'textures/items/fireworks',
    'firework_star': 'textures/items/fireworks_charge',
    'heart_of_the_sea': 'textures/items/heart_of_the_sea',
    'nautilus_shell': 'textures/items/nautilus',
    'conduit': 'textures/blocks/conduit',

    // Fish and aquatic items
    'cod': 'textures/items/fish_raw',
    'cooked_cod': 'textures/items/fish_cooked',
    'salmon': 'textures/items/fish_salmon_raw',
    'cooked_salmon': 'textures/items/fish_salmon_cooked',
    'tropical_fish': 'textures/items/fish_clownfish_raw',
    'pufferfish': 'textures/items/fish_pufferfish_raw',
    'ink_sac': 'textures/items/ink_sac',
    'glow_ink_sac': 'textures/items/glow_ink_sac',

    // Ice and snow blocks
    'ice': 'textures/blocks/ice',
    'packed_ice': 'textures/blocks/ice_packed',
    'blue_ice': 'textures/blocks/blue_ice',
    'snow': 'textures/blocks/snow',
    'snow_block': 'textures/blocks/snow',
    'powder_snow_bucket': 'textures/items/bucket_powder_snow',

    // Nature blocks
    'grass_block': 'textures/blocks/grass_side',
    'dirt': 'textures/blocks/dirt',
    'coarse_dirt': 'textures/blocks/coarse_dirt',
    'podzol': 'textures/blocks/dirt_podzol_side',
    'mycelium': 'textures/blocks/mycelium_side',
    'farmland': 'textures/blocks/farmland_dry',
    'grass_path': 'textures/blocks/grass_path_side',
    'moss_block': 'textures/blocks/moss_block',
    'rooted_dirt': 'textures/blocks/dirt_with_roots',

    // Flowers and plants
    'dandelion': 'textures/blocks/flower_dandelion',
    'poppy': 'textures/blocks/flower_rose',
    'blue_orchid': 'textures/blocks/flower_blue_orchid',
    'allium': 'textures/blocks/flower_allium',
    'azure_bluet': 'textures/blocks/flower_houstonia',
    'red_tulip': 'textures/blocks/flower_tulip_red',
    'orange_tulip': 'textures/blocks/flower_tulip_orange',
    'white_tulip': 'textures/blocks/flower_tulip_white',
    'pink_tulip': 'textures/blocks/flower_tulip_pink',
    'oxeye_daisy': 'textures/blocks/flower_oxeye_daisy',
    'cornflower': 'textures/blocks/flower_cornflower',
    'lily_of_the_valley': 'textures/blocks/flower_lily_of_the_valley',
    'wither_rose': 'textures/blocks/flower_wither_rose',

    // Aquatic plants
    'seagrass': 'textures/blocks/seagrass',
    'kelp': 'textures/blocks/kelp',
    'dried_kelp': 'textures/items/dried_kelp',
    'dried_kelp_block': 'textures/blocks/dried_kelp_side',
    'lily_pad': 'textures/blocks/waterlily',
    'sea_pickle': 'textures/blocks/sea_pickle',

    // Mushrooms and fungus
    'red_mushroom': 'textures/blocks/mushroom_red',
    'brown_mushroom': 'textures/blocks/mushroom_brown',
    'crimson_fungus': 'textures/blocks/crimson_fungus',
    'warped_fungus': 'textures/blocks/warped_fungus',
    'mushroom_stem': 'textures/blocks/mushroom_block_inside',
    'red_mushroom_block': 'textures/blocks/mushroom_block_skin_red',
    'brown_mushroom_block': 'textures/blocks/mushroom_block_skin_brown',

    // Storage blocks
    'chest': 'textures/blocks/chest_front',
    'ender_chest': 'textures/blocks/ender_chest_front',
    'trapped_chest': 'textures/blocks/trapped_chest_front',
    'barrel': 'textures/blocks/barrel_side',
    'shulker_box': 'textures/blocks/shulker_box_top',
    'white_shulker_box': 'textures/blocks/shulker_top_white',
    'orange_shulker_box': 'textures/blocks/shulker_top_orange',
    'magenta_shulker_box': 'textures/blocks/shulker_top_magenta',
    'light_blue_shulker_box': 'textures/blocks/shulker_top_light_blue',
    'yellow_shulker_box': 'textures/blocks/shulker_top_yellow',
    'lime_shulker_box': 'textures/blocks/shulker_top_lime',
    'pink_shulker_box': 'textures/blocks/shulker_top_pink',
    'gray_shulker_box': 'textures/blocks/shulker_top_gray',
    'light_gray_shulker_box': 'textures/blocks/shulker_top_silver',
    'cyan_shulker_box': 'textures/blocks/shulker_top_cyan',
    'purple_shulker_box': 'textures/blocks/shulker_top_purple',
    'blue_shulker_box': 'textures/blocks/shulker_top_blue',
    'brown_shulker_box': 'textures/blocks/shulker_top_brown',
    'green_shulker_box': 'textures/blocks/shulker_top_green',
    'red_shulker_box': 'textures/blocks/shulker_top_red',
    'black_shulker_box': 'textures/blocks/shulker_top_black',

    // Utility blocks
    'crafting_table': 'textures/blocks/crafting_table_front',
    'furnace': 'textures/blocks/furnace_front_off',
    'blast_furnace': 'textures/blocks/blast_furnace_front_off',
    'smoker': 'textures/blocks/smoker_front_off',
    'cartography_table': 'textures/blocks/cartography_table_side3',
    'fletching_table': 'textures/blocks/fletching_table_front',
    'smithing_table': 'textures/blocks/smithing_table_front',
    'grindstone': 'textures/blocks/grindstone_side',
    'stonecutter': 'textures/blocks/stonecutter_saw',
    'loom': 'textures/blocks/loom_front',
    'composter': 'textures/blocks/composter_side',
    'barrel': 'textures/blocks/barrel_side',

    // Carpets
    'white_carpet': 'textures/blocks/wool_colored_white',
    'orange_carpet': 'textures/blocks/wool_colored_orange',
    'magenta_carpet': 'textures/blocks/wool_colored_magenta',
    'light_blue_carpet': 'textures/blocks/wool_colored_light_blue',
    'yellow_carpet': 'textures/blocks/wool_colored_yellow',
    'lime_carpet': 'textures/blocks/wool_colored_lime',
    'pink_carpet': 'textures/blocks/wool_colored_pink',
    'gray_carpet': 'textures/blocks/wool_colored_gray',
    'light_gray_carpet': 'textures/blocks/wool_colored_silver',
    'cyan_carpet': 'textures/blocks/wool_colored_cyan',
    'purple_carpet': 'textures/blocks/wool_colored_purple',
    'blue_carpet': 'textures/blocks/wool_colored_blue',
    'brown_carpet': 'textures/blocks/wool_colored_brown',
    'green_carpet': 'textures/blocks/wool_colored_green',
    'red_carpet': 'textures/blocks/wool_colored_red',
    'black_carpet': 'textures/blocks/wool_colored_black',

    // Nether Blocks
    'netherrack': 'textures/blocks/netherrack',
    'nether_bricks': 'textures/blocks/nether_brick',
    'red_nether_bricks': 'textures/blocks/red_nether_brick',
    'chiseled_nether_bricks': 'textures/blocks/nether_brick_carved',
    'cracked_nether_bricks': 'textures/blocks/nether_brick_cracked',
    'soul_sand': 'textures/blocks/soul_sand',
    'soul_soil': 'textures/blocks/soul_soil',
    'glowstone': 'textures/blocks/glowstone',
    'magma_block': 'textures/blocks/magma',
    'nether_wart_block': 'textures/blocks/nether_wart_block',
    'warped_wart_block': 'textures/blocks/warped_wart_block',
    'shroomlight': 'textures/blocks/shroomlight',
    'crimson_nylium': 'textures/blocks/crimson_nylium_side',
    'warped_nylium': 'textures/blocks/warped_nylium_side',
    'basalt': 'textures/blocks/basalt_side',
    'polished_basalt': 'textures/blocks/polished_basalt_side',
    'blackstone': 'textures/blocks/blackstone',
    'gilded_blackstone': 'textures/blocks/gilded_blackstone',
    'polished_blackstone': 'textures/blocks/polished_blackstone',
    'chiseled_polished_blackstone': 'textures/blocks/chiseled_polished_blackstone',
    'polished_blackstone_bricks': 'textures/blocks/polished_blackstone_bricks',

    // Ores
    'coal_ore': 'textures/blocks/coal_ore',
    'deepslate_coal_ore': 'textures/blocks/deepslate/deepslate_coal_ore',
    'iron_ore': 'textures/blocks/iron_ore',
    'deepslate_iron_ore': 'textures/blocks/deepslate/deepslate_iron_ore',
    'copper_ore': 'textures/blocks/copper_ore',
    'deepslate_copper_ore': 'textures/blocks/deepslate/deepslate_copper_ore',
    'gold_ore': 'textures/blocks/gold_ore',
    'deepslate_gold_ore': 'textures/blocks/deepslate/deepslate_gold_ore',
    'redstone_ore': 'textures/blocks/redstone_ore',
    'deepslate_redstone_ore': 'textures/blocks/deepslate/deepslate_redstone_ore',
    'emerald_ore': 'textures/blocks/emerald_ore',
    'deepslate_emerald_ore': 'textures/blocks/deepslate/deepslate_emerald_ore',
    'lapis_ore': 'textures/blocks/lapis_ore',
    'deepslate_lapis_ore': 'textures/blocks/deepslate/deepslate_lapis_ore',
    'diamond_ore': 'textures/blocks/diamond_ore',
    'deepslate_diamond_ore': 'textures/blocks/deepslate/deepslate_diamond_ore',
    'nether_gold_ore': 'textures/blocks/nether_gold_ore',
    'nether_quartz_ore': 'textures/blocks/quartz_ore',
    'ancient_debris': 'textures/blocks/ancient_debris_side',

    // Raw ores and blocks
    'raw_iron': 'textures/items/raw_iron',
    'raw_copper': 'textures/items/raw_copper',
    'raw_gold': 'textures/items/raw_gold',
    'raw_iron_block': 'textures/blocks/raw_iron_block',
    'raw_copper_block': 'textures/blocks/raw_copper_block',
    'raw_gold_block': 'textures/blocks/raw_gold_block',

    // Mineral blocks
    'coal_block': 'textures/blocks/coal_block',
    'iron_block': 'textures/blocks/iron_block',
    'copper_block': 'textures/blocks/copper_block',
    'gold_block': 'textures/blocks/gold_block',
    'diamond_block': 'textures/blocks/diamond_block',
    'emerald_block': 'textures/blocks/emerald_block',
    'lapis_block': 'textures/blocks/lapis_block',
    'redstone_block': 'textures/blocks/redstone_block',
    'netherite_block': 'textures/blocks/netherite_block',

    // Copper variants
    'exposed_copper': 'textures/blocks/exposed_copper',
    'weathered_copper': 'textures/blocks/weathered_copper',
    'oxidized_copper': 'textures/blocks/oxidized_copper',
    'cut_copper': 'textures/blocks/cut_copper',
    'exposed_cut_copper': 'textures/blocks/exposed_cut_copper',
    'weathered_cut_copper': 'textures/blocks/weathered_cut_copper',
    'oxidized_cut_copper': 'textures/blocks/oxidized_cut_copper',
    'waxed_copper_block': 'textures/blocks/copper_block',
    'waxed_exposed_copper': 'textures/blocks/exposed_copper',
    'waxed_weathered_copper': 'textures/blocks/weathered_copper',
    'waxed_oxidized_copper': 'textures/blocks/oxidized_copper',
    'waxed_cut_copper': 'textures/blocks/cut_copper',
    'waxed_exposed_cut_copper': 'textures/blocks/exposed_cut_copper',
    'waxed_weathered_cut_copper': 'textures/blocks/weathered_cut_copper',
    'waxed_oxidized_cut_copper': 'textures/blocks/oxidized_cut_copper',

    // Building blocks
    'bricks': 'textures/blocks/brick',
    'stone_bricks': 'textures/blocks/stonebrick',
    'mossy_stone_bricks': 'textures/blocks/stonebrick_mossy',
    'cracked_stone_bricks': 'textures/blocks/stonebrick_cracked',
    'chiseled_stone_bricks': 'textures/blocks/stonebrick_carved',
    'mud_bricks': 'textures/blocks/mud_bricks',
    'prismarine_bricks': 'textures/blocks/prismarine_bricks',
    'end_stone_bricks': 'textures/blocks/end_bricks',
    'nether_bricks': 'textures/blocks/nether_brick',
    'red_nether_bricks': 'textures/blocks/red_nether_brick',
    'blackstone_bricks': 'textures/blocks/blackstone_bricks',
    'polished_blackstone_bricks': 'textures/blocks/polished_blackstone_bricks',
    'deepslate_bricks': 'textures/blocks/deepslate_bricks',
    'quartz_bricks': 'textures/blocks/quartz_bricks',

    // Farming and nature blocks
    'hay_block': 'textures/blocks/hay_block_side',
    'dried_kelp_block': 'textures/blocks/dried_kelp_side',
    'target': 'textures/blocks/target_side',
    'beehive': 'textures/blocks/beehive_front',
    'bee_nest': 'textures/blocks/bee_nest_front',
    'honeycomb_block': 'textures/blocks/honeycomb_block',
    'honey_block': 'textures/blocks/honey_block_side',
    'slime_block': 'textures/blocks/slime_block',
    'melon': 'textures/blocks/melon_side',
    'pumpkin': 'textures/blocks/pumpkin_side',
    'carved_pumpkin': 'textures/blocks/pumpkin_face_off',
    'jack_o_lantern': 'textures/blocks/pumpkin_face_on',
    'cactus': 'textures/blocks/cactus_side',
    'bamboo_block': 'textures/blocks/bamboo_block',
    'dried_bamboo_block': 'textures/blocks/bamboo_block_dried',

    // Decorative blocks
    'bookshelf': 'textures/blocks/bookshelf',
    'jukebox': 'textures/blocks/jukebox_side',
    'note_block': 'textures/blocks/noteblock',
    'cake': 'textures/blocks/cake_side',
    'cobweb': 'textures/blocks/web',
    'ladder': 'textures/blocks/ladder',
    'scaffolding': 'textures/blocks/scaffolding_side',
    'chain': 'textures/blocks/chain',
    'lantern': 'textures/blocks/lantern',
    'soul_lantern': 'textures/blocks/soul_lantern',
    'campfire': 'textures/blocks/campfire_log',
    'soul_campfire': 'textures/blocks/soul_campfire_log',
    'bell': 'textures/blocks/bell_side',
    'end_rod': 'textures/blocks/end_rod',
    'flower_pot': 'textures/blocks/flower_pot',
    'painting': 'textures/items/painting',
    'item_frame': 'textures/items/item_frame',
    'glow_item_frame': 'textures/items/glow_item_frame',
    'armor_stand': 'textures/items/armor_stand',

    // Sponge blocks
    'sponge': 'textures/blocks/sponge',
    'wet_sponge': 'textures/blocks/sponge_wet',

    // Gourd blocks
    'melon_slice': 'textures/items/melon',
    'pumpkin_seeds': 'textures/items/seeds_pumpkin',
    'melon_seeds': 'textures/items/seeds_melon',

    // Misc blocks
    'beacon': 'textures/blocks/beacon',
    'lodestone': 'textures/blocks/lodestone_side',
    'crying_obsidian': 'textures/blocks/crying_obsidian',
    'respawn_anchor': 'textures/blocks/respawn_anchor_side0',
    'calcite': 'textures/blocks/calcite',
    'tuff': 'textures/blocks/tuff',
    'dripstone_block': 'textures/blocks/dripstone_block',
    'sculk': 'textures/blocks/sculk',
    'sculk_catalyst': 'textures/blocks/sculk_catalyst_side',
    'sculk_sensor': 'textures/blocks/sculk_sensor_bottom',
    'sculk_shrieker': 'textures/blocks/sculk_shrieker_bottom',

    // Prismarine variants
    'prismarine': 'textures/blocks/prismarine_rough',
    'prismarine_bricks': 'textures/blocks/prismarine_bricks',
    'dark_prismarine': 'textures/blocks/prismarine_dark',
    'sea_lantern': 'textures/blocks/sea_lantern',

    // Chiseled variants
    'chiseled_deepslate': 'textures/blocks/deepslate/chiseled_deepslate',
    'chiseled_nether_bricks': 'textures/blocks/nether_brick_carved',
    'chiseled_polished_blackstone': 'textures/blocks/chiseled_polished_blackstone',
    'chiseled_quartz_block': 'textures/blocks/quartz_block_chiseled',
    'chiseled_red_sandstone': 'textures/blocks/red_sandstone_carved',
    'chiseled_sandstone': 'textures/blocks/sandstone_carved',

    // Pumpkins and Melons
    'pumpkin': 'textures/blocks/pumpkin_side',
    'carved_pumpkin': 'textures/blocks/pumpkin_face_off',
    'jack_o_lantern': 'textures/blocks/pumpkin_face_on',
    'melon': 'textures/blocks/melon_side',
    'melon_slice': 'textures/items/melon',
    'pumpkin_seeds': 'textures/items/seeds_pumpkin',
    'melon_seeds': 'textures/items/seeds_melon',

    // Nature blocks
    'grass_block': 'textures/blocks/grass_side',
    'dirt': 'textures/blocks/dirt',
    'coarse_dirt': 'textures/blocks/coarse_dirt',
    'podzol': 'textures/blocks/dirt_podzol_side',
    'mycelium': 'textures/blocks/mycelium_side',
    'farmland': 'textures/blocks/farmland_dry',
    'grass_path': 'textures/blocks/grass_path_side',
    'moss_block': 'textures/blocks/moss_block',
    'rooted_dirt': 'textures/blocks/dirt_with_roots',

    // Saplings
    'oak_sapling': 'textures/blocks/sapling_oak',
    'spruce_sapling': 'textures/blocks/sapling_spruce',
    'birch_sapling': 'textures/blocks/sapling_birch',
    'jungle_sapling': 'textures/blocks/sapling_jungle',
    'acacia_sapling': 'textures/blocks/sapling_acacia',
    'dark_oak_sapling': 'textures/blocks/sapling_roofed_oak',
    'cherry_sapling': 'textures/blocks/cherry_sapling',
    'mangrove_propagule': 'textures/blocks/mangrove_propagule',

    // Leaves
    'oak_leaves': 'textures/blocks/leaves_oak',
    'spruce_leaves': 'textures/blocks/leaves_spruce',
    'birch_leaves': 'textures/blocks/leaves_birch',
    'jungle_leaves': 'textures/blocks/leaves_jungle',
    'acacia_leaves': 'textures/blocks/leaves_acacia',
    'dark_oak_leaves': 'textures/blocks/leaves_big_oak',
    'cherry_leaves': 'textures/blocks/cherry_leaves',
    'mangrove_leaves': 'textures/blocks/mangrove_leaves',
    'azalea_leaves': 'textures/blocks/azalea_leaves',
    'flowering_azalea_leaves': 'textures/blocks/azalea_leaves_flowers',

    // Small plants
    'grass': 'textures/blocks/tallgrass',
    'fern': 'textures/blocks/fern',
    'dead_bush': 'textures/blocks/deadbush',
    'seagrass': 'textures/blocks/seagrass',
    'sea_pickle': 'textures/blocks/sea_pickle',
    'bamboo': 'textures/blocks/bamboo_stalk',
    'vine': 'textures/blocks/vine',
    'lily_pad': 'textures/blocks/waterlily',
    'sweet_berry_bush': 'textures/blocks/sweet_berry_bush_stage0',
    'sugar_cane': 'textures/blocks/reeds',
    'wheat': 'textures/blocks/wheat_stage_7',
    'carrots': 'textures/blocks/carrots_stage_3',
    'potatoes': 'textures/blocks/potatoes_stage_3',
    'beetroots': 'textures/blocks/beetroots_stage_3',
    'nether_wart': 'textures/blocks/nether_wart_stage_2',
    'cocoa': 'textures/blocks/cocoa_stage_2',

    // Mushrooms and Fungi
    'red_mushroom': 'textures/blocks/mushroom_red',
    'brown_mushroom': 'textures/blocks/mushroom_brown',
    'crimson_fungus': 'textures/blocks/crimson_fungus',
    'warped_fungus': 'textures/blocks/warped_fungus',
    'mushroom_stem': 'textures/blocks/mushroom_block_inside',
    'red_mushroom_block': 'textures/blocks/mushroom_block_skin_red',
    'brown_mushroom_block': 'textures/blocks/mushroom_block_skin_brown',
    'nether_sprouts': 'textures/blocks/nether_sprouts',
    'warped_roots': 'textures/blocks/warped_roots',
    'crimson_roots': 'textures/blocks/crimson_roots',
    'weeping_vines': 'textures/blocks/weeping_vines',
   

    // Additional blocks from typeids.js
    'pitcher_plant': 'textures/blocks/pitcher_plant',
    'torchflower': 'textures/blocks/torchflower',
    'decorated_pot': 'textures/blocks/decorated_pot',
    'pink_petals': 'textures/blocks/pink_petals',
    'suspicious_sand': 'textures/blocks/suspicious_sand',
    'suspicious_gravel': 'textures/blocks/suspicious_gravel',
    'calibrated_sculk_sensor': 'textures/blocks/calibrated_sculk_sensor_top',
    'glow_lichen': 'textures/blocks/glow_lichen',
    'small_dripleaf_block': 'textures/blocks/small_dripleaf',
    'big_dripleaf': 'textures/blocks/big_dripleaf_top',
    'spore_blossom': 'textures/blocks/spore_blossom',
    'hanging_roots': 'textures/blocks/hanging_roots',
    'pointed_dripstone': 'textures/blocks/pointed_dripstone_down_base',
    'lightning_rod': 'textures/blocks/lightning_rod',
    'light_block': 'textures/blocks/light_block',
    
    // Coral blocks
    'tube_coral': 'textures/blocks/coral/tube_coral',
    'brain_coral': 'textures/blocks/coral/brain_coral',
    'bubble_coral': 'textures/blocks/coral/bubble_coral',
    'fire_coral': 'textures/blocks/coral/fire_coral',
    'horn_coral': 'textures/blocks/coral/horn_coral',
    'dead_tube_coral': 'textures/blocks/coral/tube_coral_dead',
    'dead_brain_coral': 'textures/blocks/coral/brain_coral_dead',
    'dead_bubble_coral': 'textures/blocks/coral/bubble_coral_dead',
    'dead_fire_coral': 'textures/blocks/coral/fire_coral_dead',
    'dead_horn_coral': 'textures/blocks/coral/horn_coral_dead',

    // Pottery sherds
    'angler_pottery_sherd': 'textures/items/pottery_sherd_angler',
    'archer_pottery_sherd': 'textures/items/pottery_sherd_archer',
    'arms_up_pottery_sherd': 'textures/items/pottery_sherd_arms_up',
    'blade_pottery_sherd': 'textures/items/pottery_sherd_blade',
    'brewer_pottery_sherd': 'textures/items/pottery_sherd_brewer',
    'burn_pottery_sherd': 'textures/items/pottery_sherd_burn',
    'danger_pottery_sherd': 'textures/items/pottery_sherd_danger',
    'explorer_pottery_sherd': 'textures/items/pottery_sherd_explorer',
    'friend_pottery_sherd': 'textures/items/pottery_sherd_friend',
    'heart_pottery_sherd': 'textures/items/pottery_sherd_heart',
    'heartbreak_pottery_sherd': 'textures/items/pottery_sherd_heartbreak',
    'howl_pottery_sherd': 'textures/items/pottery_sherd_howl',
    'miner_pottery_sherd': 'textures/items/pottery_sherd_miner',
    'mourner_pottery_sherd': 'textures/items/pottery_sherd_mourner',
    'plenty_pottery_sherd': 'textures/items/pottery_sherd_plenty',
    'prize_pottery_sherd': 'textures/items/pottery_sherd_prize',
    'sheaf_pottery_sherd': 'textures/items/pottery_sherd_sheaf',
    'shelter_pottery_sherd': 'textures/items/pottery_sherd_shelter',
    'skull_pottery_sherd': 'textures/items/pottery_sherd_skull',
    'snort_pottery_sherd': 'textures/items/pottery_sherd_snort',
    // Pumpkin variants
    'pumpkin': 'textures/blocks/pumpkin_side',
    'carved_pumpkin': 'textures/blocks/pumpkin_face_off',
    'jack_o_lantern': 'textures/blocks/pumpkin_face_on',
    'lit_pumpkin': 'textures/blocks/pumpkin_face_on',  // Alternative name for jack_o_lantern

    // Melon variants
    'melon': 'textures/blocks/melon_side',
    'melon_slice': 'textures/items/melon',
    'pumpkin_seeds': 'textures/items/seeds_pumpkin',
    'melon_seeds': 'textures/items/seeds_melon',
    // Amethyst blocks and items
    'amethyst_block': 'textures/blocks/amethyst_block',
    'amethyst_cluster': 'textures/blocks/amethyst_cluster',
    'large_amethyst_bud': 'textures/blocks/large_amethyst_bud',
    'medium_amethyst_bud': 'textures/blocks/medium_amethyst_bud',
    'small_amethyst_bud': 'textures/blocks/small_amethyst_bud',
    'amethyst_shard': 'textures/items/amethyst_shard',
    'budding_amethyst': 'textures/blocks/budding_amethyst',
    'tinted_glass': 'textures/blocks/tinted_glass',

    // Geode blocks
    'calcite': 'textures/blocks/calcite',
    'smooth_basalt': 'textures/blocks/smooth_basalt',
    'tuff': 'textures/blocks/tuff',

     // Dyes and related items
     'ink_sac': 'textures/items/ink_sac',
     'ink_sac': 'textures/items/glow_ink_sac',
     'cocoa_beans': 'textures/items/dye_powder_brown',
     'lapis_lazuli': 'textures/items/dye_powder_blue',
     'bone_meal': 'textures/items/dye_powder_white',
 
     // Vines and climbing plants
     'vine': 'textures/blocks/vine',
     'twisting_vines': 'textures/blocks/twisting_vines',
     'weeping_vines': 'textures/blocks/weeping_vines',
     'cave_vines': 'textures/blocks/cave_vines',
     'glow_berries': 'textures/items/glow_berries',
     'sweet_berries': 'textures/items/sweet_berries',
 
     // Cave and aquatic items
     'glow_lichen': 'textures/blocks/glow_lichen',
     'kelp': 'textures/blocks/kelp',
     'dried_kelp': 'textures/items/dried_kelp',
     'dried_kelp_block': 'textures/blocks/dried_kelp_side',
     'sea_pickle': 'textures/blocks/sea_pickle',
     'seagrass': 'textures/blocks/seagrass',
 
     // Additional nature items
     'lily_pad': 'textures/blocks/waterlily',
     'dead_bush': 'textures/blocks/deadbush',
     'grass': 'textures/blocks/tallgrass',
     'fern': 'textures/blocks/fern',
     'large_fern': 'textures/blocks/double_plant_fern_top',
     'tall_grass': 'textures/blocks/double_plant_grass_top'
 
    };
